Loading...
Searching...
No Matches
DVInstanceCache::ItemStruct Struct Reference

Internal structure defining the list items. More...

## Public Member Functions

| ItemStruct (const OFString &uid, const int pos, const DVIFhierarchyStatus status, const DVPSInstanceType type, const int size, const OFString &filename)
| Constructor.

## Public Attributes

OFString | UID
| instance UID
int | Pos
| position in the index file
DVIFhierarchyStatus | Status
| review status
DVPSInstanceType | Type
| type of instance
int | ImageSize
| image size (in bytes)
OFString | Filename
| filename of instance
OFBool | Checked
| status flag to avoid double checking of referencing pstates
OFString | Description
| instance description
OFString | Label
| instance label
OFList< ItemStruct * > | List
| list of referencing pstates

## Detailed Description

Internal structure defining the list items.

## Constructor & Destructor Documentation

## ItemStruct()

DVInstanceCache::ItemStruct::ItemStruct | ( | const OFString & | uid,
|  | const int | pos,
|  | const DVIFhierarchyStatus | status,
|  | const DVPSInstanceType | type,
|  | const int | size,
|  | const OFString & | filename )

inline

Constructor.

sets internal member variables.

Parameters

  uid | unique identifier
  pos | file position in index file
  status | review status
  type | type of instance
  size | image size (in bytes)
  filename | filename of instance

References Checked, Description, Filename, ImageSize, Label, List, Pos, Status, Type, and UID.

The documentation for this struct was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvcache.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0